<template name="FrontOfficeAside">
  <h2>
    <a href="{{pathFor 'articles'}}">
      Catégories
    </a>
  </h2>
  <ul>
    <li>
    </li>
    {{#each categories}}
      {{> FrontOfficeAsideCategory}}
    {{/each}}
  </ul>
</template>

<template name="FrontOfficeAsideCategory">
  <li>
    <a class="{{#if isCurrentCategory}}active{{/if}}"
      href="{{pathFor 'articlesByCategory' categorySlug=slug}}">
      &nbsp;{{ name }}
    </a>
    <ul>
      {{#each brands}}
        <li>
          <a class="{{#if isCurrentBrand}}active{{/if}}"
            href="{{pathFor 'articlesByCategoryAndBrand' categorySlug=categorySlug brandSlug=slug}}">
            &nbsp;{{ name }}
          </a>
        </li>
      {{/each}}
    </ul>
  </li>
</template>
